<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
  <head>
    <title>PerlScanner module</title>
  </head>

  <body>
    <h1>PerlScanner module</h1>
    <p>
The perlscanner module in Qmail-Scanner allows you to tell
Qmail-Scanner to block Email containing certain characteristics, such
as particular Subject lines, or attachments of certain filenames or
sizes.
</p>

    <p>
It is pretty generic, which means it can match explicitly and via
regex. e.g.  you could say "reject all Email containing a Subject line
of 'roasted peppers for dinner'", or "reject all Email containing any sized .MP3 attachments".
</p>

    <p>     
The format is straight-forward: A "variable", a "type" and a "description". The "variable" is the value of the thing you are 
wanting to block (typically a string or a file attachment size), the "type" refers to either a mail header or a file attachment filename/extension, and the "description" describes what is being blocked
</p>
    <p>e.g.</p>
 
<table BGCOLOR="#F5DEB3" border=1>
<tr><td>
    <pre>
#block PIF files of any size
.pif&lt;TAB&gt;SIZE=-1&lt;TAB&gt;PIF files blocked by Policy

#block emails with a Subject: line matching the regular expression ^You are 0wNed$
You are 0wNed&lt;TAB&gt;Policy-Subject:&lt;TAB&gt;Nasty emails not allowed
</pre>
</td></tr>
</table>

    <p>Just edit<b>/var/spool/qscan/quarantine-events.txt</b> and follow the
examples within.
</p>


    <p>      Afterwards, run "<i>/var/qmail/bin/qmail-scanner-queue.pl -g</i>" to rebuild
the database, and "<i>/var/qmail/bin/qmail-scanner-queue.pl -r</i>" to read the current attributes.
</p>

    <p>
<B>NOTE</B>:  Remember the entries <em>must be</em> TAB delimited - normal spaces will not do!
</p>

<p><font size="-3"><b>Last Updated:</b> <?php echo   date ("l dS of F Y h:i:s A",filemtime($_SERVER[SCRIPT_FILENAME])). " GMT"; ?></font></p>

  </body>
</html>
